Subject: RE: problem starting inetd as NT service
From: Mellman Thomas <[email-masked]>
To: "[email-masked]'" <[email-masked]>, [email-masked]
Cc: [email-masked]
Date: Tue, 7 May 2002 14:38:55 +0200

>>-----Original Message-----
>>From: [email-masked] [mailto:[email-masked]]
>>Sent: Tuesday, May 07, 2002 1:50 PM
>>To: [email-masked]
>>Cc: [email-masked]
>>Subject: Re: problem starting inetd as NT service
>>
>>
>>.... (I assume you read the README file
>>I mentioned earlier). Also if you're using the NTFS file
>>system, you may also need to set the CYGWIN environment
>>variable to "ntsec".

I am also having problems getting the inetd services to run.

Due to constraints poised by my employer, I guess, I'm having basic
problems meeting the requirements:

>  If you don't start inetd as service under LocalSystem but under
>  another account, you have to [make sure] that that account has several
>  user rights set in the user manager resp. local/domain security
>  policy mmc snap in:
>        "Act as part of the operating system"
>        "Replace process level token"
>        "Increase quotas"
>        "Logon as a service"
>  Note that administrators do not have all that user rights set
>  by default!

- I'm afraid I don't know what "mmc snap" means - ah, from google
  I get something about microsoft management console tools ...
  (I hope I won't have to become a Certified Microsoft Engineer...)

- I see that, under the control-panel -> services ->+ cygwin-inetd
  I can choose between system account and 'this account'.  Default is
  system account.  Why would I use "this account"?  Why would I use
  the system account, or what problems lurk for me there?

- if I try to use "this account", I must enter a password.  Where
  does this come from?  My own password does not seem to work.

I probably won't ask these questions, except that my employer has
got the security turned down pretty tight, so trying things out isn't
very satisfactory.

>
>  For all application started via NT/W2K service manager under
>  LocalSystem account, the following restrictions apply:
>
>  - The environment variable CYGWIN must be either set in the system
>    environment to be active from start on or you can set CYGWIN thru
>    the registry:
>    Under the key HKLM\Software\Cygnus Solutions\Cygwin\Program Options
>    create a REG_SZ (String) named like the full DOS path to the application,
>    eg. "C:\usr\bin\inetd.exe" and with the value equal to the preferred
>    CYGWIN settings, eg "binmode tty ntsec".

When I do that, I can't create files anymore.  My id is (clearly)
uid=500(Administrator) gid=513(Kein) groups=513(Kein)

- How do I get it to be otherwise?  Will I have to login in twice,
  once to nt and once to cygwin?
- I read somewhere that I need to put my RID in the GCOS field of
  a password entry for me.  I couldn't find the RID in my registry.
  Where can I find it?

Thanks in advance.

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/